Subject: Re: bug#74467: 31.0.50; org-protocol emacsclient.desktop change is not fully functional

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Mar 2025 21:56:30 +0200

> From: Björn Bidar <[email-masked]>
> Cc: Ihor Radchenko <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Sun, 16 Mar 2025 20:52:22 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Ihor Radchenko <[email-masked]>
> >> Cc: [email-masked], [email-masked], [email-masked]
> >> Date: Sun, 16 Mar 2025 14:07:29 +0000
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> >> > > ...  Ihor
> >> >> > > seemed to say that if this can be supported, there could be an
> >> >> > > alternative patch for fixing this issue, and I'd like to see that
> >> >> > > alternative patch to decide which one is simpler and/or more elegant.
> >> >> > 
> >> >> > See the attached.
> >> >> > If Emacs can handle file URIs, we can simply use %U field code.
> >> >>  ...
> >> >> Thanks, but I think we need to turn on the url-handler-mode before
> >> >> Emacs can visit files specified as file:// URIs.
> >> >
> >> > Ping!
> >> 
> >> But isn't `url-handler-mode' doing much more than just allowing URIs in
> >> emacs/emacsclient arguments? Maybe one can make a more limited version
> >> of url-handler-mode that would be safe to enable to by default?
> >
> > That would be also fine by me.
> 
> What would that look like?

I don't know, I just said that anything which makes Emacs understand
file:// URLs will be fine by me.